Package com.castlabs.sdk.ima

# Class ImaAdRequest.Builder

java.lang.Object
com.castlabs.sdk.ima.ImaAdRequest.Builder

Enclosing class:
  `ImaAdRequest`

public static final class ImaAdRequest.Builder extends Object
Builder for `ImaAdRequest`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ImaAdRequest.Builder`
  `disableDefaultAdUi(boolean disableDefaultAdUi)`
  `ImaAdRequest`
  `get()`
  `ImaAdRequest.Builder`
  `scheduleDelayMs(long scheduleDelayMs)`
  `ImaAdRequest.Builder`
  `stallAdTimeoutMs(int stallAdTimeoutMs)`
  `ImaAdRequest.Builder`
  `tagUrl(String tagUrl)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### tagUrl

    public ImaAdRequest.Builder tagUrl(@Nullable String tagUrl)
    Parameters:
      `tagUrl` - Ad tag Url
    Returns:
      the Builder

  - ### stallAdTimeoutMs

    public ImaAdRequest.Builder stallAdTimeoutMs(int stallAdTimeoutMs)
    Parameters:
      `stallAdTimeoutMs` - Timeout in ms to consider the ad playback stalled and switch to the main content playback
    Returns:
      the Builder

  - ### scheduleDelayMs

    public ImaAdRequest.Builder scheduleDelayMs(long scheduleDelayMs)
    Parameters:
      `scheduleDelayMs` - Time offset that will be added to the current position when manually scheduling ads. Note that this delay is just to allow for a smooth transition to the ad, not to schedule ads in advance.

      The IMA SDK will drop pending ads if they're not played in the seconds following the ad response itself, so the value will be limited to `ImaAdRequest.SCHEDULE_DELAY_MAXIMUM_MS`.

      Default is `ImaAdRequest.SCHEDULE_DELAY_DEFAULT_MS`.

    Returns:
      the Builder

  - ### disableDefaultAdUi

    public ImaAdRequest.Builder disableDefaultAdUi(boolean disableDefaultAdUi)
    Parameters:
      `disableDefaultAdUi` - Flag to Disable the default AD UI rendered by IMA

      The IMA SDK UI will be disabled and the Application is free to provide it's custom AD UI. This flag will have no effect if the VAST Ad response doesnt have the following 1 tag set.

      Default is `ImaAdRequest.DISABLE_IMA_AD_UI`.

    Returns:
      the Builder

  - ### get

    public ImaAdRequest get()
    Returns:
      an instance of `ImaAdRequest`